<template>
	<view style="padding: 20rpx;">
		<!-- <text style="display: block;text-align: center;">平台用户协议</text> -->
			<view style="padding: 20rpx;;overflow: auto; word-break: break-word;">
				<!-- <u-parse :content="content"></u-parse> -->
				<rich-text :nodes="content"></rich-text>
				
			</view>
			
			
	</view>
</template>

<script>
	let that
	export default {
		data() {
			return {
				content:''
	
			}
		},
		onLoad(o) {
			that = this
			
			this.init()
		},
		methods: {
			init() {
				uni.$u.http.get('/api/Setting/agreement', {
					custom: {
						auth: true
					}
				}).then((res) => {
					let text = JSON.parse(res)
					this.content = text.agreement
				}).catch((err) => {
					console.log(err)
				})
			},
			
		}
	}
</script>

<style>
</style>
